#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow {
    Q_OBJECT
public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

protected:
    void changeEvent(QEvent *e);

private:
    Ui::MainWindow *ui;

private slots:
    void on_sratesel_currentIndexChanged(int index);
    void on_checkBox_clicked(bool checked);
    void on_LFOOSC3Pan_currentIndexChanged(int index);
    void on_LFOOSC2Pan_currentIndexChanged(int index);
    void on_LFOOSC1Pan_currentIndexChanged(int index);
    void on_LFOOSC3Vol_currentIndexChanged(int index);
    void on_LFOOSC2Vol_currentIndexChanged(int index);
    void on_volLFO2_valueChanged(int value);
    void on_freqLFO2_valueChanged(int value);
    void on_volLFO1_valueChanged(int value);
    void on_freqLFO1_valueChanged(int value);
    void on_pushButton_clicked(bool checked);
    void on_panOSC3_valueChanged(int value);
    void on_volOSC3_valueChanged(int value);
    void on_panOSC2_valueChanged(int value);
    void on_volOSC2_valueChanged(int value);
    void on_panOSC1_valueChanged(int value);
    void on_volOSC1_valueChanged(int value);
    void on_WaveLFO2_currentIndexChanged(int index);
    void on_Pan_valueChanged(int value);
    void on_Amp_valueChanged(int value);
    void on_WaveOSC3_currentIndexChanged(int index);
    void on_WaveOSC2_currentIndexChanged(int index);
    void on_WaveOSC1_currentIndexChanged(int index);
    void on_startEng_clicked(bool checked);
    void on_actionExit_triggered();
    void on_LFOOSC1Vol_currentIndexChanged(int index);
    void on_WaveLFO1_currentIndexChanged(int index);
};

#endif // MAINWINDOW_H
